Subject: Re: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: martin rudalics <[email-masked]>
Date: Mon, 26 Jun 2017 10:18:10 +0200

> Yes.  We simply overwrite the glyph matrices with the menu contents,
 > and then force a screen update.

We would have to do the same for popups.

 > But this cannot work for features that want Emacs to return to the
 > main loop, because anything that triggers any kind of redisplay will
 > restore portions of the display from buffer text and mess up the menu.

And for popups it would just have to overwrite the glyph matrix again.
Or what am I missing?

Yet I doubt that such popups would be desirable on terminal frames.  For
my taste, they would appear far too obtrusive and distracting.  I think
any such popup should be treated like a tooltip and get displayed in the
echo area.

martin